package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 社区文件表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_community_file_log")
public class CommunityFileLog extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 租户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 社区文件id
     */
    private Long communityFileId;

    /**
     * 下载用户id
     */
    private Long downloadUserId;



}
