package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 社区列表分页请求参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "社区列表分页请求参数")
public class CommunityListPageRes extends PageDomain {

    /**
     * 社区标签id
     */
    @ApiModelProperty(value = "社区标签")
    private Long communityTag;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 搜索内容
     */
    @ApiModelProperty(value = "搜索内容")
    private String searchContent;


}
