package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 收益明细请求参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "收益明细请求参数")
public class IncomeInfoListPageRes extends PageDomain {

    /**
     * 搜索内容
     */
    @ApiModelProperty(value = "搜索内容")
    private String searchContent;

    /**
     * 收益类型
     */
    @ApiModelProperty(value = "收益类型")
    private Integer type;

}
