package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 收益明细请求参数
 */
@Data
@ApiModel(value = "收益明细请求参数")
public class IncomeInfoRes {

    @NotNull(message = "社区id不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

    @NotNull(message = "租户id不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

}
