package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 社区列表分页请求参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "社区列表分页请求参数")
public class JoinCommunityListPageRes extends PageDomain {

    /**
     * 是否包含我创建的社区 0否 1是
     */
    @ApiModelProperty(value = "是否包含我创建的社区 0否 1是 默认0")
    private Integer isMyCreate = 0;

    /**
     * 搜索内容
     */
    @ApiModelProperty(value = "搜索内容")
    private String searchContent;


}
