package com.mcwl.communityCenter.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 收益vo
 */
@Data
@ApiModel(description = "收益金额")
public class IncomeAmountVo {

    /**
     * 今日收益
     */
    @ApiModelProperty(value = "今日收益")
    private Double todayIncome;

    /**
     * 昨日收益
     */
    @ApiModelProperty(value = "昨日收益")
    private Double yesterdayIncome;



}
