package com.mcwl.communityCenter.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * 收益vo
 */
@Data
@Builder
@ApiModel(description = "收益vo")
public class IncomeInfoVo {

    /**
     * 社区收益
     */
    @ApiModelProperty(value = "社区收益")
    private IncomeAmountVo communityIncome;

    /**
     * 问答收益
     */
    @ApiModelProperty(value = "问答收益")
    private IncomeAmountVo questionIncome;

    /**
     * 累计收益
     */
    @ApiModelProperty(value = "累计收益")
    private Double totalIncome;



}
