package com.mcwl.communityCenter.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.communityCenter.domain.PublishCommentLike;
import com.mcwl.communityCenter.domain.PublishLike;
import com.mcwl.communityCenter.domain.dto.PublishCommentLikeRes;
import com.mcwl.communityCenter.domain.dto.PublishLikeRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 *
 */
@Mapper
public interface PublishLikeMapper extends BaseMapper<PublishLike> {

    @InterceptorIgnore(tenantLine = "true")
    PublishLike selectPublishLike(@Param("publishLikeRes") PublishLikeRes publishLikeRes,
                                  @Param("userId") Long userId);

    @InterceptorIgnore(tenantLine = "true")
    void updateDelFlagById(@Param("publishLike") PublishLike publishLike);
}
