package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.IncomeInfo;
import com.mcwl.communityCenter.domain.Publish;
import com.mcwl.communityCenter.domain.dto.*;
import com.mcwl.communityCenter.domain.vo.IncomeInfoVo;
import com.mcwl.communityCenter.domain.vo.PublishVo;

import javax.validation.Valid;

public interface IncomeInfoService extends IService<IncomeInfo> {


    R<IncomeInfoVo> communityIncome();

    TableDataInfo incomeList(@Valid IncomeInfoListPageRes incomeInfoListPageRes);
}
