package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 权益表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_benefit_name")
public class BenefitName extends BaseEntity {

    @TableId
    private Long id;
    /**
     * 权益名称
     */
    private String benefitName;
    /**
     * 排序
     */
    private Integer benefitOrder;


}
