package com.mcwl.memberCenter.domain.dto;

import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 权益
 */
@Data
@ApiModel(description = "权益名称")
public class AddBenefitNameDto {
    /**
     * 权益名称
     */
    @ApiModelProperty(value = "权益名称", required = true)
    @NotBlank(message = "权益名称不能为空")
    private String benefitName;
    /**
     * 单位
     */
    @NotNull(message = "排序不能为空")
    @ApiModelProperty(value = "排序", required = true)
    private Integer benefitOrder;


}
