package com.mcwl.memberCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

/**
 * 权益vo
 */
@Data
@ApiModel(value = "权益列表")
public class BenefitVo {

    private Long id;
    /**
     * 权益名称
     */
    @ApiModelProperty(value = "权益名称")
    private String benefitName;
    /**
     * 权益排序
     */
    @ApiModelProperty(value = "权益排序")
    private Integer benefitOrder;

    @ApiModelProperty(value = "权益详情")
    private List<BenefitInfoVo> benefitInfoList = new ArrayList<>();


}
