package com.mcwl.myInvitation.domain.vo;


import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 金币收入返回对象
 */
@Data
@ApiModel(description = "金币收入")
public class CommissionVo {

    /**
     * 收入金币
     */
    @ApiModelProperty("收入金币")
    private Double amount;

    /**
     * 剩余金币
     */
    @ApiModelProperty("剩余金币")
    private Double wallet;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


}
