package com.mcwl.pay.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "收益趋势返回对象")
public class TrendVo {

    /**
     * 收益同比增长
     */
    @ApiModelProperty(value = "收益同比增长")
    private Double yoyTrend;

    /**
     * 收益环比增长
     */
    @ApiModelProperty(value = "收益环比增长")
    private Double momTrend;
}
