package com.mcwl.resource.domain.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 查询本地下载入参
 *
 * @author DaiZibo
 * @date 2025/3/12
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class RequestDownload {

    @ApiModelProperty(value = "文件名字")
    private List<String> fileNameList;

    @ApiModelProperty(value = "类型  999为工作流")
    private Integer type;
}
