package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发布
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_income_info")
public class IncomeInfo extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 租户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 类型 0付费加入 1付费问答
     */
    private Integer type;

    /**
     * 金额
     */
    private Double amount;


}
