package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 社区通知列表分页请求参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "社区通知列表分页请求参数")
public class CommunityAdvicePageRes extends PageDomain {

    /**
     * 通知类型 0社区通知 1回复我的 2待我回复 3点赞
     */
    @ApiModelProperty(value = "通知类型 0社区通知 1回复我的 2待我回复 3点赞")
    private Integer adviceType;


}
