package com.mcwl.communityCenter.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 用户下载记录
 */
@Data
@ApiModel(value = "用户下载记录")
public class DownloadFileUserVo {

    @ApiModelProperty(value = "用户头像")
    private List<String> avatarList;

    @ApiModelProperty(value = "下载用户数")
    private Integer count;

}
