package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.CommunityFile;
import com.mcwl.communityCenter.domain.dto.*;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;

public interface CommunityFileService extends IService<CommunityFile> {

    R<String> upload(CommunityUploadFileRes communityUploadFileRes);

    TableDataInfo getCommunityFileList(CommunityFilePageListRes communityFilePageListRes);

    R<String> download(@Valid CommunityDownloadFileRes communityDownloadFileRes);
}
