package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Publish;
import com.mcwl.communityCenter.domain.PublishCollect;
import com.mcwl.communityCenter.domain.dto.*;
import com.mcwl.communityCenter.domain.vo.PublishVo;

import javax.validation.Valid;

public interface PublishCollectService extends IService<PublishCollect> {


    TableDataInfo myCollectList(@Valid MyPublishCollectPageRes myPublishCollectPageRes);


    void savePublishCollect(PublishCollect publishCollect);

    PublishCollect getPublishCollect(PublishCollectRes publishCollectRes, Long userId);

    void updatePublishCollect(PublishCollect publishCollect);
}
