package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.communityCenter.domain.PublishCommentLike;
import com.mcwl.communityCenter.domain.dto.CommentLikeDetailRes;
import com.mcwl.communityCenter.domain.dto.PublishCommentLikeRes;
import org.springframework.stereotype.Service;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.communityCenter.service
 * @Filename：PublishCommissionLikeService
 * @Description TODO
 * @Date：2025/1/17 14:23
 */
@Service
public interface PublishCommentLikeService extends IService<PublishCommentLike> {

    R<Integer> like(PublishCommentLikeRes publishCommentLikeRes);

    PublishCommentLike publishCommentLike(CommentLikeDetailRes commentLikeDetailRes, Long userId);
}
