package com.mcwl.memberCenter.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 权益详情vo
 */
@Data
@ApiModel(value = "权益详情vo")
public class BenefitInfoVo {

    private Long id;
    /**
     * 权益描述
     */
    @ApiModelProperty(value = "权益描述")
    private String benefitDesc;
    /**
     * 权益类型
     */
    @ApiModelProperty(value = "权益类型")
    private String benefitType;
    /**
     * 权益折扣，当权益类型为折扣时，记录折扣具体数值
     */
    @ApiModelProperty(value = "权益折扣，当权益类型为折扣时，记录折扣具体数值")
    private Double benefitDiscount;
    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String benefitUnit;


}
