package com.mcwl.memberCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberPeriodicEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 会员等级vo
 */
@Data
@ApiModel(description = "会员等级vo")
public class MemberLevelVo {
    @ApiModelProperty(value = "id")
    private Long id;

    // 会员名称
    @ApiModelProperty(value = "会员名称")
    private String memberName;

    // 会员价格
    @ApiModelProperty(value = "会员价格")
    private Double unitPrice;

    // 会员原价
    @ApiModelProperty(value = "会员原价")
    private Double originalPrice;

    // 订阅周期（年，季度，月，包月）
    @ApiModelProperty(value = "订阅周期（年，季度，月，包月）")
    private String subscriptionPeriod;
}
