package com.mcwl.memberCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.memberCenter.domain.MemberPromotion;
import com.mcwl.memberCenter.domain.Promotion;
import com.mcwl.memberCenter.domain.dto.PromotionDto;

import java.util.List;

public interface PromotionService extends IService<Promotion> {

    /**
     * 获取促销活动列表
     * @return TableDataInfo
     */
    TableDataInfo getPromotionList(PageDomain pageDomain);


    TableDataInfo getMyPromotionList(PageDomain pageDomain);

    R<Object> joinPromotion(Long promotionId);

//    R<Object> updatePromotion(PromotionDto promotionDto);
}
