package com.mcwl.myInvitation.domain.vo;

import com.mcwl.myInvitation.domain.dto.EarningsDisplay;
import com.mcwl.myInvitation.domain.dto.EarningsDisplayDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "邀请人收益展示")
public class EarningsDisplayVO {

    /**
     * 收益总额
     */
    @ApiModelProperty("收益总额")
    private Double totalAmount;

    /**
     * 邀请列表
     */
    @ApiModelProperty("邀请列表")
    private List<EarningsDisplayDto> earningsDisplayList;
}
