package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 根据文件名校验入参
 *
 * @author DaiZibo
 * @date 2025/3/22
 * @apiNote
 */


@NoArgsConstructor
@AllArgsConstructor
@Data
public class FileVo {

    @ApiModelProperty("文件名字")
    private String name;

    @ApiModelProperty("文件类型 model/workflow")
    private String type;

}
